summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris <xchrisx@uber.space>2020-03-29 23:32:22 +0200
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2020-03-30 12:11:42 +0000
commitb6436a3e91f66000bc325cbf5eb5b7a58bbc2618 (patch)
tree8dbf7a79b58073b24f9b53a16912efe78e846d1d
parentaa60518d81d5ba12c6d2a76f09794171c62c2f00 (diff)
downloadtde-packaging-gentoo-b6436a3e.tar.gz
tde-packaging-gentoo-b6436a3e.zip
Live ebuilds: Add preliminary `KNemo` ebuild.
Signed-off-by: Chris <xchrisx@uber.space>
-rw-r--r--trinity-apps/knemo/knemo-9999.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/trinity-apps/knemo/knemo-9999.ebuild b/trinity-apps/knemo/knemo-9999.ebuild
new file mode 100644
index 00000000..6b940933
--- /dev/null
+++ b/trinity-apps/knemo/knemo-9999.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2020 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+TRINITY_MODULE_TYPE="applications"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="ar bg cs cy da de el es et fr ga gl hu it
+ ja ka lt nl pl pt pt_BR ru rw sk sr sr@Latn sv tr"
+
+inherit trinity-base-2
+
+DESCRIPTION="Network interfaces monitor for the TDE systray"
+HOMEPAGE="http://trinitydesktop.org/"
+LICENSE="|| ( GPL-2 GPL-3 )"
+
+need-trinity
+
+SLOT="${TRINITY_VER}"
+
+IUSE+=" wifi kernel_linux"
+
+RDEPEND+=" kernel_linux? ( sys-apps/net-tools )
+ wifi? ( net-wireless/wireless-tools )"
+
+pkg_postinst() {
+ echo
+ einfo "KNemo is not an executable but a KDED service. KNemo has to be"
+ einfo "started using TDE Control Center/Internet & Network/Network Monitor"
+ echo
+}